numeric-extras-0.1: Useful tools from the C standard library

Safe Haskell | Trustworthy
Language | Haskell98

Numeric.Extras

# Documentation

class (Storable (C a), RealFloat (C a), RealFloat a) => RealExtras a where Source #

Associated Types

type C a Source #

Methods

fmod :: a -> a -> a Source #

expm1 :: a -> a Source #

log1p :: a -> a Source #

hypot :: a -> a -> a Source #

cbrt :: a -> a Source #

erf :: a -> a Source #

floor :: a -> a Source #

ceil :: a -> a Source #

trunc :: a -> a Source #

modf :: a -> (a, a) Source #

remainder :: a -> a -> a Source #

#### Instances

Instances details

RealExtras Double Source # |

Instance details

Defined in Numeric.Extras

Associated Types

type C Double |
Instance details Defined in Numeric.Extras type C Double = CDouble

Methods

fmod :: Double -> Double -> Double Source #

expm1 :: Double -> Double Source #

log1p :: Double -> Double Source #

hypot :: Double -> Double -> Double Source #

cbrt :: Double -> Double Source #

erf :: Double -> Double Source #

floor :: Double -> Double Source #

ceil :: Double -> Double Source #

trunc :: Double -> Double Source #

modf :: Double -> (Double, Double) Source #

remainder :: Double -> Double -> Double Source #

RealExtras Float Source # |

Instance details

Defined in Numeric.Extras

Associated Types

type C Float |
Instance details Defined in Numeric.Extras type C Float = CFloat

Methods

fmod :: Float -> Float -> Float Source #

expm1 :: Float -> Float Source #

log1p :: Float -> Float Source #

hypot :: Float -> Float -> Float Source #

cbrt :: Float -> Float Source #

erf :: Float -> Float Source #

floor :: Float -> Float Source #

ceil :: Float -> Float Source #

trunc :: Float -> Float Source #

modf :: Float -> (Float, Float) Source #

remainder :: Float -> Float -> Float Source #